using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RandomNumber
{
    public partial class RandomNumber : Form
    {
        private Int32 _randomNumber;
        private Int32 _seme;
        private Int32 _max;
        private Int32 _min;

        private Random _rdm = null;

        public RandomNumber()
        {
            InitializeComponent();
        }

        private void buttonGenerate_Click(object sender, EventArgs e)
        {
            //creo l'ogetto random (costruttore senza parametri)
            Random random = new Random();

            //ritorna un numero non negativo
            int nun = random.Next();

            //ritorna un numero compreso tra zero e novanta
            int num2 = random.Next(90);

            //ritorna un numero casuale compreso tra 1 e 10
            int num3 = random.Next(1, 10);

            if (textBoxSeme.Text != string.Empty)
            {
                try
                {
                    _seme = Convert.ToInt32(textBoxSeme.Text);

                    _rdm = new Random(_seme);
                }
                catch
                {
                    label3.Text = "Valore seme non numerico";
                    return;
                }
            }
            else
                _rdm = new Random((int)DateTime.Now.Millisecond);


            if (textBoxMin.Text != string.Empty)
            {
                try
                {
                    _min = Convert.ToInt32(textBoxMin.Text);

                }
                catch(Exception ex)
                {
                    label3.Text = ex.Message;
                    return;
                }
            }

            if (textBoxMax.Text != string.Empty)
            {
                try
                {
                    _max = Convert.ToInt32(textBoxMax.Text);
                }
                catch(Exception ex)
                {
                    label3.Text = ex.Message;
                    return;
                }
            }
            

            if (_min != 0)
            {
                if (_max != 0)
                {
                    _randomNumber = _rdm.Next(_min, _max);
                    label3.Text = _randomNumber.ToString();
                }
                else
                {
                    label3.Text = "Il Valore Max (con Min)  obbligatorio";
                    return;
                }
            }
            else
                if (_max != 0)
                {
                    _randomNumber = _rdm.Next(_max);
                    label3.Text = _randomNumber.ToString();
                }
                else
                {
                    _randomNumber = _rdm.Next();
                    label3.Text = _randomNumber.ToString();
                }
        }
    }
}